Documentation Index

Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve AP Open Periods By Code

Prev Next
Get
/ap-rest-api/rest/1/openperiods/

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • OpenPeriodFinder

Open Period Finder

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
CompCodeVar Company Code 001
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleOpenPeriodFinder;CompCodeVar=001
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleJcctrlCurrYr:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0

Successful Response - FInder - OpenPeriodFinder

{
  "items": [
    {
      "JcctrlCurrYr": 2018,
      "JcctrlCurrPer": 9,
      "JcctrlFuturePostFlag": "Y",
      "JcctrlCompCode": "001",
      "ApctrlCurrYr": 2018,
      "ApctrlCurrPer": 9,
      "ApctrlFuturePostFlag": "Y",
      "ApctrlCompCode": "001",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods",
      "name": "openperiods",
      "kind": "collection"
    }
  ]
}
example-1

Successful Response - FInder - OpenPeriodFinder

{
  "items": [
    {
      "JcctrlCurrYr": 2018,
      "JcctrlCurrPer": 9,
      "JcctrlFuturePostFlag": "Y",
      "JcctrlCompCode": "001",
      "ApctrlCurrYr": 2018,
      "ApctrlCurrPer": 9,
      "ApctrlFuturePostFlag": "Y",
      "ApctrlCompCode": "001",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods",
      "name": "openperiods",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved